booster::thread Class Reference

the class that allows to start an execution thread More...

`#include <booster/booster/thread.h>`

Inheritance diagram for booster::thread:

## Public Member Functions

| thread (function< void()> const &cb)
void | join ()
void | detach ()

## Static Public Member Functions

static unsigned | hardware_concurrency ()

## Friends

void * | booster_thread_func (void *)

## Detailed Description

the class that allows to start an execution thread

## Constructor & Destructor Documentation

booster::thread::thread | ( | function< void()> const & | cb | ) |

Run a function cb in separate thread

## Member Function Documentation

void booster::thread::detach | ( |  | ) |

Detach from the thread

static unsigned booster::thread::hardware_concurrency | ( |  | ) |

static

Get number of CPUS, returns 0 if the number is unknown

void booster::thread::join | ( |  | ) |

Join existing thread

The documentation for this class was generated from the following file:

- booster/thread.h